#ifndef macrolib_ibis_output_ibis_2eq2uk_INCLUDED
#define macrolib_ibis_output_ibis_2eq2uk_INCLUDED
#include "macrolib_ibis_output.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_output_ibis_2eq2uk.hpp"
#endif
#ifndef macrolib_ibis_output_ibis_2eq2uk_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_output_ibis_2eq2uk_export __declspec(dllimport)
#  else
#    define macrolib_ibis_output_ibis_2eq2uk_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_output_ibis_2eq2uk_export IBIS_OUTPUT_IBIS_2EQ2UK : public IBIS_OUTPUT {
public:
ELECTRICAL_SYSTEMS_VOLTAGE VPC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPC;
ELECTRICAL_SYSTEMS_CURRENT IPC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPC;
ELECTRICAL_SYSTEMS_VOLTAGE VPU;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPU;
ELECTRICAL_SYSTEMS_CURRENT IPU;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPU;
ELECTRICAL_SYSTEMS_VOLTAGE VPD;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPD;
ELECTRICAL_SYSTEMS_CURRENT IPD;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPD;
ELECTRICAL_SYSTEMS_VOLTAGE VGC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VGC;
ELECTRICAL_SYSTEMS_CURRENT IGC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IGC;
ELECTRICAL_SYSTEMS_VOLTAGE VIN;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VIN;
STANDARD_INTEGER PU_ON;
VHDL_Dispatcher *PU_ON_dispatchers;
STANDARD_INTEGER PU_OFF;
VHDL_Dispatcher *PU_OFF_dispatchers;
STANDARD_INTEGER PD_ON;
VHDL_Dispatcher *PD_ON_dispatchers;
STANDARD_INTEGER PD_OFF;
VHDL_Dispatcher *PD_OFF_dispatchers;
STANDARD_INTEGER EVENTSTATE;
VHDL_Dispatcher *EVENTSTATE_dispatchers;
STANDARD_REAL TPU_ON_EVENT;
VHDL_Dispatcher *TPU_ON_EVENT_dispatchers;
STANDARD_REAL TPD_OFF_EVENT;
VHDL_Dispatcher *TPD_OFF_EVENT_dispatchers;
STANDARD_REAL TPD_ON_EVENT;
VHDL_Dispatcher *TPD_ON_EVENT_dispatchers;
STANDARD_REAL TPU_OFF_EVENT;
VHDL_Dispatcher *TPU_OFF_EVENT_dispatchers;
ELECTRICAL_SYSTEMS_CURRENT KPU;
ELECTRICAL_SYSTEMS_CURRENT mM1_KPU;
ELECTRICAL_SYSTEMS_CURRENT KPD;
ELECTRICAL_SYSTEMS_CURRENT mM1_KPD;
const STANDARD_REAL C_COMP_VAL;
const STANDARD_REAL KC_COMP_PC_VAL;
const STANDARD_REAL KC_COMP_PU_VAL;
const STANDARD_REAL KC_COMP_PD_VAL;
const STANDARD_REAL KC_COMP_GC_VAL;
const STANDARD_REAL VPC_REF_VAL;
const STANDARD_REAL VPU_REF_VAL;
const STANDARD_REAL VPD_REF_VAL;
const STANDARD_REAL VGC_REF_VAL;
STANDARD_REAL_VECTOR IPC_VEC;
STANDARD_REAL_VECTOR VPC_VEC;
STANDARD_REAL_VECTOR IPU_VEC;
STANDARD_REAL_VECTOR VPU_VEC;
STANDARD_REAL_VECTOR IPD_VEC;
STANDARD_REAL_VECTOR VPD_VEC;
STANDARD_REAL_VECTOR IGC_VEC;
STANDARD_REAL_VECTOR VGC_VEC;
STANDARD_REAL_VECTOR VR1_VEC;
STANDARD_REAL_VECTOR TR1_VEC;
STANDARD_REAL_VECTOR VR2_VEC;
STANDARD_REAL_VECTOR TR2_VEC;
STANDARD_REAL_VECTOR VF1_VEC;
STANDARD_REAL_VECTOR TF1_VEC;
STANDARD_REAL_VECTOR VF2_VEC;
STANDARD_REAL_VECTOR TF2_VEC;
const STANDARD_REAL VFX_R1_VAL;
const STANDARD_REAL VFX_R2_VAL;
const STANDARD_REAL VFX_F1_VAL;
const STANDARD_REAL VFX_F2_VAL;
const STANDARD_REAL RFX_R1_VAL;
const STANDARD_REAL RFX_R2_VAL;
const STANDARD_REAL RFX_F1_VAL;
const STANDARD_REAL RFX_F2_VAL;
const STANDARD_INTEGER COMMONLENGTH;
class macrolib_ibis_output_ibis_2eq2uk_export K_ELEMENTS {
public:
T_B3CIHandle mHandle;
long mNode;
protected:
long mValue;
long mLastEventValue;
long mLastEventDeltaCycle;
T_B3CITimeL mLastEventTime;
T_B3CITimeL mLastActiveTime;
unsigned mDenseArray : 1;
public:
K_ELEMENTS();
K_ELEMENTS(const K_ELEMENTS&);
K_ELEMENTS(long);
K_ELEMENTS &operator =(const K_ELEMENTS&);
K_ELEMENTS &operator =(long);
operator long() const { return mValue; }
bool STABLE(T_B3CITimeL) const;
bool QUIET(T_B3CITimeL) const;
bool EVENT(void) const;
T_B3CITimeL LAST_EVENT_TIME(void) const;
T_B3CITimeA LAST_EVENT_REAL(void) const;
T_B3CITimeL LAST_ACTIVE(void) const;
long LAST_VALUE(void) const { return mLastEventValue; };
static long VALUE(const char *);
static const char *IMAGE(long);
bool Assign(long);
long GetValue(void) const { return mValue; };
unsigned long GetValue(char *, unsigned long) const;
bool IsDense(void) const { return mDenseArray; };
};
static long K_ELEMENTS_LEFT(void) { return 0L; }
static long K_ELEMENTS_RIGHT(void) { return 4L; }
static long K_ELEMENTS_HIGH(void) { return 4L; }
static long K_ELEMENTS_LOW(void) { return 0L; }
static bool K_ELEMENTS_ASCENDING(void) { return true; }

static long K_ELEMENTS_POS(long inValue) { return inValue; }
static long K_ELEMENTS_VAL(long);
static long IBIS_OUTPUT_IBIS_2EQ2UK::K_ELEMENTS_SUCC(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_OUTPUT_IBIS_2EQ2UK::K_ELEMENTS_PRED(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
static long IBIS_OUTPUT_IBIS_2EQ2UK::K_ELEMENTS_LEFTOF(long inValue) { return K_ELEMENTS_VAL(inValue + 1); }
static long IBIS_OUTPUT_IBIS_2EQ2UK::K_ELEMENTS_RIGHTOF(long inValue) { return K_ELEMENTS_VAL(inValue - 1); }
class macrolib_ibis_output_ibis_2eq2uk_export K_ELEMENTS_RANGE {
public:
static long LEFT(void) { return 0L /* TCM */; }
static long RIGHT(void) { return 4L /* KF2 */; }
static bool ASCENDING(void) { return true; }
};
typedef T_B3CIHandle K_ELEMENTS_DriverHandle;
static short K_ELEMENTS_Assign(T_B3CIHandle,   const T_B3CIValue *);
static short K_ELEMENTS_GetValue(T_B3CIHandle, T_B3CIValue *);
static unsigned long K_ELEMENTS_GetStringValue(T_B3CIHandle, char *, unsigned long);
static bool eq_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 == inArg2); }
static bool ne_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 != inArg2); }
static bool gt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 > inArg2); }
static bool ge_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 >= inArg2); }
static bool lt_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 < inArg2); }
static bool le_K_ELEMENTS_K_ELEMENTS_BOOLEAN(const K_ELEMENTS &inArg1, const K_ELEMENTS &inArg2) { return (inArg1 <= inArg2); }
DefineArrayArray(K_TABLES_TYPE, STANDARD_REAL_VECTOR, K_ELEMENTS_RANGE, macrolib_ibis_output_ibis_2eq2uk_export);
typedef STANDARD_REAL_VECTOR_DriverHandle *K_TABLES_TYPE_DriverHandle;
typedef STANDARD_REAL_VECTOR_MatrixPointer *K_TABLES_TYPE_MatrixPointer;
static bool eq_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L == R); }
static bool ne_K_TABLES_TYPE_K_TABLES_TYPE_BOOLEAN(const K_TABLES_TYPE &L, const K_TABLES_TYPE &R) { return (L != R); }
static unsigned long K_TABLES_TYPE_GetStringValue(T_B3CIHandle, char *, unsigned long);
DefineArrayArray(K_TABLES_TYPE_QDELAYED_LIST, STANDARD_REAL_VECTOR_QDELAYED_LIST, K_ELEMENTS_RANGE, macrolib_ibis_output_ibis_2eq2uk_export);
K_TABLES_TYPE COEFF_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_REAL_K_TABLES_TYPE(IBIS_OUTPUT_IBIS_2EQ2UK *inParent, const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const double , const double , const double , const double , const double , const double , const double , const double , const double , const double , const double , const double , const double );
K_TABLES_TYPE KTABLES;
void *mCG1;
unsigned mF2 : 1;
unsigned mF3 : 1;
short mP1();
static short smP1(IBIS_OUTPUT_IBIS_2EQ2UK *);
void *mCG4;
unsigned mF4 : 1;
short mP4();
static short smP4(IBIS_OUTPUT_IBIS_2EQ2UK *);
unsigned mF5 : 1;
short mP5();
static short smP5(IBIS_OUTPUT_IBIS_2EQ2UK *);
unsigned mF6 : 1;
short mP6();
static short smP6(IBIS_OUTPUT_IBIS_2EQ2UK *);
unsigned mF7 : 1;
short mP7();
static short smP7(IBIS_OUTPUT_IBIS_2EQ2UK *);
unsigned mF8 : 1;
short mP8();
static short smP8(IBIS_OUTPUT_IBIS_2EQ2UK *);
STANDARD_INTEGER_DriverHandle p1_EVENTSTATE_driver;
STANDARD_INTEGER_DriverHandle p4_PU_ON_driver;
STANDARD_INTEGER_DriverHandle p4_PU_OFF_driver;
STANDARD_INTEGER_DriverHandle p4_PD_ON_driver;
STANDARD_INTEGER_DriverHandle p4_PD_OFF_driver;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_through_qPU_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPU_REF_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPU_REF_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qPD_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPD_REF_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qPAD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPU_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_through_qIN_D_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tIN_D_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qPC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qGC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportGC_REF_through_qIGC_smp;
double *exp_PU_REF_9[7];
double *exp_PD_REF_10[7];
double *exp_PAD_11[7];
double *exp_IN_D_12[7];
double *exp_PC_REF_13[7];
double *exp_GC_REF_14[7];
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_15_driver;
STANDARD_BOOLEAN_DriverHandle VIN_ABOVE_16_driver;
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e18_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e18_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e18_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e19_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e19_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e19_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e20_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e20_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e20_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e21_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e21_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e21_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e22_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e22_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e22_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e23_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e23_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e23_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e24_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e24_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e24_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e26_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e26_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e26_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e27_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e27_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e27_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e28_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e28_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e28_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e29_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e29_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e29_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e30_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e30_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e30_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e31_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e31_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e31_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e32_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e32_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e32_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e37_q36_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e37_q36_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e37_q36_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e37_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e37_q17_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e37_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e37_q38_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e37_q38_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e37_q38_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e40_q39_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e40_q39_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e40_q39_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e40_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e40_q25_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e40_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e40_q41_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e40_q41_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e40_q41_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e43_q42_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e43_q42_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e43_q42_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e43_q44_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e43_q44_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e43_q44_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_VPC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_VPU_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_PU_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPU_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_VPD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPD_across_PD_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_VGC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_GC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_VIN_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_IN_D_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VIN_across_ELECTRICAL_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_e18_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e18_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e19_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e19_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e20_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e20_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e21_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e21_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e22_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e22_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e23_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e23_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e24_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e24_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e26_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e26_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e27_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e27_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e28_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e28_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e29_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e29_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e30_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e30_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e31_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e31_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e32_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e32_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e34_q33_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e34_IPCq33_smp;
ELECTRICAL_SYSTEMS_CURRENT_e34_q35_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e34_VPCq35_smp;
ELECTRICAL_SYSTEMS_CURRENT_e37_q36_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e37_IPUq36_smp;
ELECTRICAL_SYSTEMS_CURRENT_e37_q17_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e37_KPUq17_smp;
ELECTRICAL_SYSTEMS_CURRENT_e37_q38_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e37_VPUq38_smp;
ELECTRICAL_SYSTEMS_CURRENT_e40_q39_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e40_IPDq39_smp;
ELECTRICAL_SYSTEMS_CURRENT_e40_q25_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e40_KPDq25_smp;
ELECTRICAL_SYSTEMS_CURRENT_e40_q41_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e40_VPDq41_smp;
ELECTRICAL_SYSTEMS_CURRENT_e43_q42_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e43_IGCq42_smp;
ELECTRICAL_SYSTEMS_CURRENT_e43_q44_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e43_VGCq44_smp;
static short smD_STANDARD_DOMAIN(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_STANDARD_DOMAIN();
static short smD_VIN_ABOVE_15(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_VIN_ABOVE_15();
static short smD_VIN_ABOVE_16(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_VIN_ABOVE_16();
static short smD_EVENTSTATE(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_EVENTSTATE();
static short smD_PU_ON(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_PU_ON();
static short smD_PU_OFF(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_PU_OFF();
static short smD_PD_ON(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_PD_ON();
static short smD_PD_OFF(IBIS_OUTPUT_IBIS_2EQ2UK *inInstance);
short mD_PD_OFF();
STANDARD_BOOLEAN VIN_ABOVE_15; 
VHDL_Dispatcher *VIN_ABOVE_15_dispatchers; 
bool VIN_ABOVE_15_Control();
bool VIN_ABOVE_15_Initialize(double *);
STANDARD_BOOLEAN VIN_ABOVE_16; 
VHDL_Dispatcher *VIN_ABOVE_16_dispatchers; 
bool VIN_ABOVE_16_Control();
bool VIN_ABOVE_16_Initialize(double *);
short Elaborate(const char *, long);
short ElaborateDrivers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
void CreateDispatchers(void);
void DeleteDispatchers(void);
public:
IBIS_OUTPUT_IBIS_2EQ2UK();
virtual ~IBIS_OUTPUT_IBIS_2EQ2UK();
};
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_output_ibis_2eq2uk_export short MACROLIB_IBIS_OUTPUT_IBIS_2EQ2UK_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_output_ibis_2eq2uk_INCLUDED */
