#ifndef macrolib_ibis_tcvs_pwl_INCLUDED
#define macrolib_ibis_tcvs_pwl_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_tcvs_pwl.hpp"
#endif
#ifndef macrolib_ibis_tcvs_pwl_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_tcvs_pwl_export __declspec(dllimport)
#  else
#    define macrolib_ibis_tcvs_pwl_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
#include "macrolib_macrolib_functions.hpp"
using namespace MACROLIB;
namespace MACROLIB
{
class macrolib_ibis_tcvs_pwl_export IBIS_TCVS_PWL {
public:
const char *mInstanceName;
static STANDARD_REAL smG_SCALE;
static unsigned smGF_SCALE;
unsigned mGF_SCALE : 1;
const STANDARD_REAL SCALE;
static STANDARD_REAL_VECTOR* smG_X_DATA;
static unsigned smGF_X_DATA;
unsigned mGF_X_DATA : 1;
STANDARD_REAL_VECTOR& X_DATA;
static STANDARD_REAL_VECTOR* smG_Y_DATA;
static unsigned smGF_Y_DATA;
unsigned mGF_Y_DATA : 1;
STANDARD_REAL_VECTOR& Y_DATA;
static STANDARD_STRING* smG_DATAFILE;
static unsigned smGF_DATAFILE;
unsigned mGF_DATAFILE : 1;
STANDARD_STRING& DATAFILE;
static STANDARD_INTEGER smG_MAX_LENGTH;
static unsigned smGF_MAX_LENGTH;
unsigned mGF_MAX_LENGTH : 1;
const STANDARD_INTEGER MAX_LENGTH;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_P;
static unsigned smPF_P;
static short smPT_P;
unsigned mPF_P : 4;
short mPT_P;
static const char *smAN_P;
ELECTRICAL_SYSTEMS_ELECTRICAL &P;
static double smExpression_P;
double mExpression_P;
VHDL_Dispatcher *P_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL* smP_N;
static unsigned smPF_N;
static short smPT_N;
unsigned mPF_N : 4;
short mPT_N;
static const char *smAN_N;
ELECTRICAL_SYSTEMS_ELECTRICAL &N;
static double smExpression_N;
double mExpression_N;
VHDL_Dispatcher *N_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_TCVS_PWL();
virtual ~IBIS_TCVS_PWL();
};
extern "C" macrolib_ibis_tcvs_pwl_export const char *MACROLIB_IBIS_TCVS_PWL_GetPortName(short);
extern "C" macrolib_ibis_tcvs_pwl_export void MACROLIB_IBIS_TCVS_PWL_InitStaticGenericPort(void);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_tcvs_pwl_export short MACROLIB_IBIS_TCVS_PWL_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_tcvs_pwl_INCLUDED */
